Update to 7.5 problem(s)?


(fpausp) #1

NethServer Version: 7.4

I like to update all my server, the first went well but the 2nd one got this problem:

[root@neth1 ~]# yum clean all && rm -rf /var/cache/yum && yum -y update
Loaded plugins: changelog, fastestmirror, nethserver_events
Cleaning repos: base centos-sclo-rh centos-sclo-sclo epel extras home_uroni nethforge nethserver-base nethserver-updates stephdl
              : updates
Cleaning up everything
Maybe you want: rm -rf /var/cache/yum, to also free up space taken by orphaned data from disabled or removed repos
Cleaning up list of fastest mirrors
Loaded plugins: changelog, fastestmirror, nethserver_events
base                                                                                                           | 3.6 kB  00:00:00
centos-sclo-rh                                                                                                 | 3.0 kB  00:00:00
centos-sclo-sclo                                                                                               | 2.9 kB  00:00:00
epel/x86_64/metalink                                                                                           |  11 kB  00:00:00
epel                                                                                                           | 4.7 kB  00:00:00
extras                                                                                                         | 3.4 kB  00:00:00
home_uroni                                                                                                     | 1.3 kB  00:00:00
nethforge                                                                                                      | 4.1 kB  00:00:00
nethserver-base                                                                                                | 2.9 kB  00:00:00
nethserver-updates                                                                                             | 4.1 kB  00:00:00
stephdl                                                                                                        | 2.9 kB  00:00:00
updates                                                                                                        | 3.4 kB  00:00:00
(1/16): epel/x86_64/group_gz                                                                                   |  84 kB  00:00:00
(2/16): centos-sclo-sclo/x86_64/primary_db                                                                     | 202 kB  00:00:01
(3/16): base/7/x86_64/group_gz                                                                                 | 166 kB  00:00:02
(4/16): extras/7/x86_64/primary_db                                                                             | 104 kB  00:00:00
(5/16): home_uroni/primary                                                                                     | 1.5 kB  00:00:00
(6/16): nethforge/7/x86_64/group_gz                                                                            | 1.7 kB  00:00:00
(7/16): nethforge/7/x86_64/primary_db                                                                          |  32 kB  00:00:00
(8/16): epel/x86_64/updateinfo                                                                                 | 920 kB  00:00:04
(9/16): nethserver-updates/7/x86_64/group_gz                                                                   |  20 kB  00:00:00
(10/16): nethserver-base/7/x86_64/primary_db                                                                   | 241 kB  00:00:01
(11/16): nethserver-updates/7/x86_64/primary_db                                                                | 382 kB  00:00:01
(12/16): stephdl/7/primary_db                                                                                  | 137 kB  00:00:01
(13/16): centos-sclo-rh/x86_64/primary_db                                                                      | 3.2 MB  00:00:14
(14/16): base/7/x86_64/primary_db                                                                              | 5.9 MB  00:00:23
(15/16): updates/7/x86_64/primary_db                                                                           | 6.9 MB  00:00:20
(16/16): epel/x86_64/primary_db                                                                                | 6.4 MB  00:00:28
Determining fastest mirrors
 * base: mirror.easyname.at
 * epel: mirror.nextlayer.at
 * extras: mirror.easyname.at
 * nethforge: nethserver.globalcortex.net
 * nethserver-base: nethserver.globalcortex.net
 * nethserver-updates: nethserver.globalcortex.net
 * updates: mirror.easyname.at
home_uroni                                                                                                                        3/3
Resolving Dependencies
--> Running transaction check
---> Package NetworkManager.x86_64 1:1.8.0-11.el7_4 will be updated
---> Package NetworkManager.x86_64 1:1.10.2-13.el7 will be an update
---> Package NetworkManager-libnm.x86_64 1:1.8.0-11.el7_4 will be updated
---> Package NetworkManager-libnm.x86_64 1:1.10.2-13.el7 will be an update
---> Package NetworkManager-team.x86_64 1:1.8.0-11.el7_4 will be updated
---> Package NetworkManager-team.x86_64 1:1.10.2-13.el7 will be an update
---> Package NetworkManager-tui.x86_64 1:1.8.0-11.el7_4 will be updated
---> Package NetworkManager-tui.x86_64 1:1.10.2-13.el7 will be an update
---> Package NetworkManager-wifi.x86_64 1:1.8.0-11.el7_4 will be updated
---> Package NetworkManager-wifi.x86_64 1:1.10.2-13.el7 will be an update
---> Package OpenIPMI-modalias.x86_64 0:2.0.19-15.el7 will be updated
---> Package OpenIPMI-modalias.x86_64 0:2.0.23-2.el7 will be an update
---> Package acl.x86_64 0:2.2.51-12.el7 will be updated
---> Package acl.x86_64 0:2.2.51-14.el7 will be an update
---> Package adcli.x86_64 0:0.8.1-3.el7 will be updated
---> Package adcli.x86_64 0:0.8.1-4.el7 will be an update
---> Package alsa-lib.x86_64 0:1.1.3-3.el7 will be updated
---> Package alsa-lib.x86_64 0:1.1.4.1-2.el7 will be an update
---> Package attr.x86_64 0:2.4.46-12.el7 will be updated
---> Package attr.x86_64 0:2.4.46-13.el7 will be an update
---> Package audit.x86_64 0:2.7.6-3.el7 will be updated
---> Package audit.x86_64 0:2.8.1-3.el7 will be an update
---> Package audit-libs.x86_64 0:2.7.6-3.el7 will be updated
---> Package audit-libs.x86_64 0:2.8.1-3.el7 will be an update
---> Package audit-libs-python.x86_64 0:2.7.6-3.el7 will be updated
---> Package audit-libs-python.x86_64 0:2.8.1-3.el7 will be an update
---> Package augeas-libs.x86_64 0:1.4.0-2.el7_4.2 will be updated
---> Package augeas-libs.x86_64 0:1.4.0-5.el7 will be an update
---> Package avahi.x86_64 0:0.6.31-17.el7 will be updated
---> Package avahi.x86_64 0:0.6.31-19.el7 will be an update
---> Package avahi-glib.x86_64 0:0.6.31-17.el7 will be updated
---> Package avahi-glib.x86_64 0:0.6.31-19.el7 will be an update
---> Package avahi-libs.x86_64 0:0.6.31-17.el7 will be updated
---> Package avahi-libs.x86_64 0:0.6.31-19.el7 will be an update
---> Package bash.x86_64 0:4.2.46-29.el7_4 will be updated
---> Package bash.x86_64 0:4.2.46-30.el7 will be an update
---> Package bind-libs.x86_64 32:9.9.4-51.el7_4.2 will be updated
---> Package bind-libs.x86_64 32:9.9.4-61.el7 will be an update
---> Package bind-libs-lite.x86_64 32:9.9.4-51.el7_4.2 will be updated
---> Package bind-libs-lite.x86_64 32:9.9.4-61.el7 will be an update
---> Package bind-license.noarch 32:9.9.4-51.el7_4.2 will be updated
---> Package bind-license.noarch 32:9.9.4-61.el7 will be an update
---> Package bind-utils.x86_64 32:9.9.4-51.el7_4.2 will be updated
---> Package bind-utils.x86_64 32:9.9.4-61.el7 will be an update
---> Package binutils.x86_64 0:2.25.1-32.base.el7_4.2 will be updated
---> Package binutils.x86_64 0:2.27-27.base.el7 will be an update
---> Package biosdevname.x86_64 0:0.7.2-2.el7 will be updated
---> Package biosdevname.x86_64 0:0.7.3-1.el7 will be an update
---> Package ca-certificates.noarch 0:2017.2.14-71.el7 will be updated
---> Package ca-certificates.noarch 0:2017.2.20-71.el7 will be an update
---> Package centos-release.x86_64 0:7-4.1708.el7.centos will be updated
---> Package centos-release.x86_64 0:7-5.1804.el7.centos will be an update
---> Package checkpolicy.x86_64 0:2.5-4.el7 will be updated
---> Package checkpolicy.x86_64 0:2.5-6.el7 will be an update
---> Package chrony.x86_64 0:3.1-2.el7.centos will be updated
---> Package chrony.x86_64 0:3.2-2.el7 will be an update
---> Package coreutils.x86_64 0:8.22-18.el7 will be updated
---> Package coreutils.x86_64 0:8.22-21.el7 will be an update
---> Package cpio.x86_64 0:2.11-25.el7_4 will be updated
---> Package cpio.x86_64 0:2.11-27.el7 will be an update
---> Package cronie.x86_64 0:1.4.11-17.el7 will be updated
---> Package cronie.x86_64 0:1.4.11-19.el7 will be an update
---> Package cronie-anacron.x86_64 0:1.4.11-17.el7 will be updated
---> Package cronie-anacron.x86_64 0:1.4.11-19.el7 will be an update
---> Package cryptsetup.x86_64 0:1.7.4-3.el7_4.1 will be updated
---> Package cryptsetup.x86_64 0:1.7.4-4.el7 will be an update
---> Package cryptsetup-libs.x86_64 0:1.7.4-3.el7_4.1 will be updated
---> Package cryptsetup-libs.x86_64 0:1.7.4-4.el7 will be an update
---> Package cups.x86_64 1:1.6.3-29.el7 will be updated
---> Package cups.x86_64 1:1.6.3-35.el7 will be an update
---> Package cups-client.x86_64 1:1.6.3-29.el7 will be updated
---> Package cups-client.x86_64 1:1.6.3-35.el7 will be an update
---> Package cups-filesystem.noarch 1:1.6.3-29.el7 will be updated
---> Package cups-filesystem.noarch 1:1.6.3-35.el7 will be an update
---> Package cups-libs.x86_64 1:1.6.3-29.el7 will be updated
---> Package cups-libs.x86_64 1:1.6.3-35.el7 will be an update
---> Package curl.x86_64 0:7.29.0-42.el7_4.1 will be updated
---> Package curl.x86_64 0:7.29.0-46.el7 will be an update
---> Package cyrus-sasl.x86_64 0:2.1.26-21.el7 will be updated
---> Package cyrus-sasl.x86_64 0:2.1.26-23.el7 will be an update
---> Package cyrus-sasl-gssapi.x86_64 0:2.1.26-21.el7 will be updated
---> Package cyrus-sasl-gssapi.x86_64 0:2.1.26-23.el7 will be an update
---> Package cyrus-sasl-lib.x86_64 0:2.1.26-21.el7 will be updated
---> Package cyrus-sasl-lib.x86_64 0:2.1.26-23.el7 will be an update
---> Package cyrus-sasl-plain.x86_64 0:2.1.26-21.el7 will be updated
---> Package cyrus-sasl-plain.x86_64 0:2.1.26-23.el7 will be an update
---> Package dbus.x86_64 1:1.6.12-17.el7 will be updated
---> Package dbus.x86_64 1:1.10.24-7.el7 will be an update
---> Package dbus-libs.x86_64 1:1.6.12-17.el7 will be updated
---> Package dbus-libs.x86_64 1:1.10.24-7.el7 will be an update
---> Package device-mapper.x86_64 7:1.02.140-8.el7 will be updated
---> Package device-mapper.x86_64 7:1.02.146-4.el7 will be an update
---> Package device-mapper-event.x86_64 7:1.02.140-8.el7 will be updated
---> Package device-mapper-event.x86_64 7:1.02.146-4.el7 will be an update
---> Package device-mapper-event-libs.x86_64 7:1.02.140-8.el7 will be updated
---> Package device-mapper-event-libs.x86_64 7:1.02.146-4.el7 will be an update
---> Package device-mapper-libs.x86_64 7:1.02.140-8.el7 will be updated
---> Package device-mapper-libs.x86_64 7:1.02.146-4.el7 will be an update
---> Package device-mapper-persistent-data.x86_64 0:0.7.0-0.1.rc6.el7_4.1 will be updated
---> Package device-mapper-persistent-data.x86_64 0:0.7.3-3.el7 will be an update
---> Package dhclient.x86_64 12:4.2.5-58.el7.centos.3 will be updated
---> Package dhclient.x86_64 12:4.2.5-68.el7.centos will be an update
---> Package dhcp-common.x86_64 12:4.2.5-58.el7.centos.3 will be updated
---> Package dhcp-common.x86_64 12:4.2.5-68.el7.centos will be an update
---> Package dhcp-libs.x86_64 12:4.2.5-58.el7.centos.3 will be updated
---> Package dhcp-libs.x86_64 12:4.2.5-68.el7.centos will be an update
---> Package dnsmasq.x86_64 0:2.76-2.el7_4.2 will be updated
---> Package dnsmasq.x86_64 0:2.76-5.el7 will be an update
---> Package dracut.x86_64 0:033-502.el7_4.1 will be updated
---> Package dracut.x86_64 0:033-535.el7 will be an update
---> Package dracut-config-rescue.x86_64 0:033-502.el7_4.1 will be updated
---> Package dracut-config-rescue.x86_64 0:033-535.el7 will be an update
---> Package dracut-network.x86_64 0:033-502.el7_4.1 will be updated
---> Package dracut-network.x86_64 0:033-535.el7 will be an update
---> Package e2fsprogs.x86_64 0:1.42.9-10.el7 will be updated
---> Package e2fsprogs.x86_64 0:1.42.9-11.el7 will be an update
---> Package e2fsprogs-libs.x86_64 0:1.42.9-10.el7 will be updated
---> Package e2fsprogs-libs.x86_64 0:1.42.9-11.el7 will be an update
---> Package ebtables.x86_64 0:2.0.10-15.el7 will be updated
---> Package ebtables.x86_64 0:2.0.10-16.el7 will be an update
---> Package elfutils-default-yama-scope.noarch 0:0.168-8.el7 will be updated
---> Package elfutils-default-yama-scope.noarch 0:0.170-4.el7 will be an update
---> Package elfutils-libelf.x86_64 0:0.168-8.el7 will be updated
---> Package elfutils-libelf.x86_64 0:0.170-4.el7 will be an update
---> Package elfutils-libs.x86_64 0:0.168-8.el7 will be updated
---> Package elfutils-libs.x86_64 0:0.170-4.el7 will be an update
---> Package ethtool.x86_64 2:4.8-1.el7 will be updated
---> Package ethtool.x86_64 2:4.8-7.el7 will be an update
---> Package filesystem.x86_64 0:3.2-21.el7 will be updated
---> Package filesystem.x86_64 0:3.2-25.el7 will be an update
---> Package firewalld.noarch 0:0.4.4.4-6.el7 will be updated
---> Package firewalld.noarch 0:0.4.4.4-14.el7 will be an update
---> Package firewalld-filesystem.noarch 0:0.4.4.4-6.el7 will be updated
---> Package firewalld-filesystem.noarch 0:0.4.4.4-14.el7 will be an update
---> Package freeipmi.x86_64 0:1.2.9-8.el7 will be updated
--> Processing Dependency: libfreeipmi.so.13()(64bit) for package: nut-2.7.2-3.el7.x86_64
--> Processing Dependency: libipmimonitoring.so.5()(64bit) for package: nut-2.7.2-3.el7.x86_64
---> Package freeipmi.x86_64 0:1.5.7-2.el7 will be an update
---> Package fuse.x86_64 0:2.9.2-8.el7 will be updated
---> Package fuse.x86_64 0:2.9.2-10.el7 will be an update
---> Package fuse-libs.x86_64 0:2.9.2-8.el7 will be updated
---> Package fuse-libs.x86_64 0:2.9.2-10.el7 will be an update
---> Package glib2.x86_64 0:2.50.3-3.el7 will be updated
---> Package glib2.x86_64 0:2.54.2-2.el7 will be an update
---> Package glibc.x86_64 0:2.17-196.el7_4.2 will be updated
---> Package glibc.x86_64 0:2.17-222.el7 will be an update
---> Package glibc-common.x86_64 0:2.17-196.el7_4.2 will be updated
---> Package glibc-common.x86_64 0:2.17-222.el7 will be an update
---> Package glibc-devel.x86_64 0:2.17-196.el7_4.2 will be updated
---> Package glibc-devel.x86_64 0:2.17-222.el7 will be an update
---> Package glibc-headers.x86_64 0:2.17-196.el7_4.2 will be updated
---> Package glibc-headers.x86_64 0:2.17-222.el7 will be an update
---> Package glusterfs.x86_64 0:3.8.4-18.4.el7.centos will be updated
---> Package glusterfs.x86_64 0:3.8.4-53.el7.centos will be an update
---> Package glusterfs-api.x86_64 0:3.8.4-18.4.el7.centos will be updated
---> Package glusterfs-api.x86_64 0:3.8.4-53.el7.centos will be an update
---> Package glusterfs-cli.x86_64 0:3.8.4-18.4.el7.centos will be updated
---> Package glusterfs-cli.x86_64 0:3.8.4-53.el7.centos will be an update
---> Package glusterfs-client-xlators.x86_64 0:3.8.4-18.4.el7.centos will be updated
---> Package glusterfs-client-xlators.x86_64 0:3.8.4-53.el7.centos will be an update
---> Package glusterfs-libs.x86_64 0:3.8.4-18.4.el7.centos will be updated
---> Package glusterfs-libs.x86_64 0:3.8.4-53.el7.centos will be an update
---> Package gperftools-libs.x86_64 0:2.4-8.el7 will be updated
---> Package gperftools-libs.x86_64 0:2.6.1-1.el7 will be an update
---> Package gssproxy.x86_64 0:0.7.0-4.el7 will be updated
---> Package gssproxy.x86_64 0:0.7.0-17.el7 will be an update
---> Package gzip.x86_64 0:1.5-9.el7 will be updated
---> Package gzip.x86_64 0:1.5-10.el7 will be an update
---> Package hivex.x86_64 0:1.3.10-5.8.el7 will be updated
---> Package hivex.x86_64 0:1.3.10-6.9.el7 will be an update
---> Package httpd.x86_64 0:2.4.6-67.el7.centos.6 will be updated
---> Package httpd.x86_64 0:2.4.6-80.el7.centos will be an update
---> Package httpd-tools.x86_64 0:2.4.6-67.el7.centos.6 will be updated
---> Package httpd-tools.x86_64 0:2.4.6-80.el7.centos will be an update
---> Package hwdata.x86_64 0:0.252-8.6.el7 will be updated
---> Package hwdata.x86_64 0:0.252-8.8.el7 will be an update
---> Package info.x86_64 0:5.1-4.el7 will be updated
---> Package info.x86_64 0:5.1-5.el7 will be an update
---> Package initscripts.x86_64 0:9.49.39-1.el7_4.1 will be updated
---> Package initscripts.x86_64 0:9.49.41-1.el7 will be an update
---> Package iproute.x86_64 0:3.10.0-87.el7 will be updated
---> Package iproute.x86_64 0:4.11.0-14.el7 will be an update
---> Package iprutils.x86_64 0:2.4.14.1-1.el7 will be updated
---> Package iprutils.x86_64 0:2.4.15.1-1.el7 will be an update
---> Package iptables.x86_64 0:1.4.21-18.3.el7_4 will be updated
---> Package iptables.x86_64 0:1.4.21-24.el7 will be an update
---> Package irqbalance.x86_64 3:1.0.7-10.el7 will be updated
---> Package irqbalance.x86_64 3:1.0.7-11.el7 will be an update
---> Package iscsi-initiator-utils.x86_64 0:6.2.0.874-4.el7 will be updated
---> Package iscsi-initiator-utils.x86_64 0:6.2.0.874-7.el7 will be an update
---> Package iscsi-initiator-utils-iscsiuio.x86_64 0:6.2.0.874-4.el7 will be updated
---> Package iscsi-initiator-utils-iscsiuio.x86_64 0:6.2.0.874-7.el7 will be an update
---> Package iwl100-firmware.noarch 0:39.31.5.1-58.el7_4 will be updated
---> Package iwl100-firmware.noarch 0:39.31.5.1-62.el7 will be an update
---> Package iwl1000-firmware.noarch 1:39.31.5.1-58.el7_4 will be updated
---> Package iwl1000-firmware.noarch 1:39.31.5.1-62.el7 will be an update
---> Package iwl105-firmware.noarch 0:18.168.6.1-58.el7_4 will be updated
---> Package iwl105-firmware.noarch 0:18.168.6.1-62.el7 will be an update
---> Package iwl135-firmware.noarch 0:18.168.6.1-58.el7_4 will be updated
---> Package iwl135-firmware.noarch 0:18.168.6.1-62.el7 will be an update
---> Package iwl2000-firmware.noarch 0:18.168.6.1-58.el7_4 will be updated
---> Package iwl2000-firmware.noarch 0:18.168.6.1-62.el7 will be an update
---> Package iwl2030-firmware.noarch 0:18.168.6.1-58.el7_4 will be updated
---> Package iwl2030-firmware.noarch 0:18.168.6.1-62.el7 will be an update
---> Package iwl3160-firmware.noarch 0:22.0.7.0-58.el7_4 will be updated
---> Package iwl3160-firmware.noarch 0:22.0.7.0-62.el7 will be an update
---> Package iwl3945-firmware.noarch 0:15.32.2.9-58.el7_4 will be updated
---> Package iwl3945-firmware.noarch 0:15.32.2.9-62.el7 will be an update
---> Package iwl4965-firmware.noarch 0:228.61.2.24-58.el7_4 will be updated
---> Package iwl4965-firmware.noarch 0:228.61.2.24-62.el7 will be an update
---> Package iwl5000-firmware.noarch 0:8.83.5.1_1-58.el7_4 will be updated
---> Package iwl5000-firmware.noarch 0:8.83.5.1_1-62.el7 will be an update
---> Package iwl5150-firmware.noarch 0:8.24.2.2-58.el7_4 will be updated
---> Package iwl5150-firmware.noarch 0:8.24.2.2-62.el7 will be an update
---> Package iwl6000-firmware.noarch 0:9.221.4.1-58.el7_4 will be updated
---> Package iwl6000-firmware.noarch 0:9.221.4.1-62.el7 will be an update
---> Package iwl6000g2a-firmware.noarch 0:17.168.5.3-58.el7_4 will be updated
---> Package iwl6000g2a-firmware.noarch 0:17.168.5.3-62.el7 will be an update
---> Package iwl6000g2b-firmware.noarch 0:17.168.5.2-58.el7_4 will be updated
---> Package iwl6000g2b-firmware.noarch 0:17.168.5.2-62.el7 will be an update
---> Package iwl6050-firmware.noarch 0:41.28.5.1-58.el7_4 will be updated
---> Package iwl6050-firmware.noarch 0:41.28.5.1-62.el7 will be an update
---> Package iwl7260-firmware.noarch 0:22.0.7.0-58.el7_4 will be updated
---> Package iwl7260-firmware.noarch 0:22.0.7.0-62.el7 will be an update
---> Package iwl7265-firmware.noarch 0:22.0.7.0-58.el7_4 will be updated
---> Package iwl7265-firmware.noarch 0:22.0.7.0-62.el7 will be an update
---> Package kernel.x86_64 0:3.10.0-862.el7 will be installed
---> Package kernel-headers.x86_64 0:3.10.0-693.21.1.el7 will be updated
---> Package kernel-headers.x86_64 0:3.10.0-862.el7 will be an update
---> Package kernel-tools.x86_64 0:3.10.0-693.21.1.el7 will be updated
---> Package kernel-tools.x86_64 0:3.10.0-862.el7 will be an update
---> Package kernel-tools-libs.x86_64 0:3.10.0-693.21.1.el7 will be updated
---> Package kernel-tools-libs.x86_64 0:3.10.0-862.el7 will be an update
---> Package kexec-tools.x86_64 0:2.0.14-17.2.el7 will be updated
---> Package kexec-tools.x86_64 0:2.0.15-13.el7 will be an update
---> Package kmod.x86_64 0:20-15.el7_4.7 will be updated
---> Package kmod.x86_64 0:20-21.el7 will be an update
---> Package kmod-libs.x86_64 0:20-15.el7_4.7 will be updated
---> Package kmod-libs.x86_64 0:20-21.el7 will be an update
---> Package kpartx.x86_64 0:0.4.9-111.el7_4.2 will be updated
---> Package kpartx.x86_64 0:0.4.9-119.el7 will be an update
---> Package krb5-libs.x86_64 0:1.15.1-8.el7 will be updated
---> Package krb5-libs.x86_64 0:1.15.1-18.el7 will be an update
---> Package krb5-workstation.x86_64 0:1.15.1-8.el7 will be updated
---> Package krb5-workstation.x86_64 0:1.15.1-18.el7 will be an update
---> Package libacl.x86_64 0:2.2.51-12.el7 will be updated
---> Package libacl.x86_64 0:2.2.51-14.el7 will be an update
---> Package libattr.x86_64 0:2.4.46-12.el7 will be updated
---> Package libattr.x86_64 0:2.4.46-13.el7 will be an update
---> Package libbasicobjects.x86_64 0:0.1.1-27.el7 will be updated
---> Package libbasicobjects.x86_64 0:0.1.1-29.el7 will be an update
---> Package libblkid.x86_64 0:2.23.2-43.el7_4.2 will be updated
---> Package libblkid.x86_64 0:2.23.2-52.el7 will be an update
---> Package libcgroup.x86_64 0:0.41-13.el7 will be updated
---> Package libcgroup.x86_64 0:0.41-15.el7 will be an update
---> Package libcollection.x86_64 0:0.6.2-27.el7 will be updated
---> Package libcollection.x86_64 0:0.7.0-29.el7 will be an update
---> Package libcom_err.x86_64 0:1.42.9-10.el7 will be updated
---> Package libcom_err.x86_64 0:1.42.9-11.el7 will be an update
---> Package libcurl.x86_64 0:7.29.0-42.el7_4.1 will be updated
---> Package libcurl.x86_64 0:7.29.0-46.el7 will be an update
---> Package libdb.x86_64 0:5.3.21-21.el7_4 will be updated
---> Package libdb.x86_64 0:5.3.21-24.el7 will be an update
---> Package libdb-devel.x86_64 0:5.3.21-21.el7_4 will be updated
---> Package libdb-devel.x86_64 0:5.3.21-24.el7 will be an update
---> Package libdb-utils.x86_64 0:5.3.21-21.el7_4 will be updated
---> Package libdb-utils.x86_64 0:5.3.21-24.el7 will be an update
---> Package libdhash.x86_64 0:0.4.3-27.el7 will be updated
---> Package libdhash.x86_64 0:0.5.0-29.el7 will be an update
---> Package libdrm.x86_64 0:2.4.74-1.el7 will be updated
---> Package libdrm.x86_64 0:2.4.83-2.el7 will be an update
---> Package liberation-fonts-common.noarch 1:1.07.2-15.el7 will be updated
---> Package liberation-fonts-common.noarch 1:1.07.2-16.el7 will be an update
---> Package liberation-mono-fonts.noarch 1:1.07.2-15.el7 will be updated
---> Package liberation-mono-fonts.noarch 1:1.07.2-16.el7 will be an update
---> Package libgcc.x86_64 0:4.8.5-16.el7_4.2 will be updated
---> Package libgcc.x86_64 0:4.8.5-28.el7 will be an update
---> Package libgomp.x86_64 0:4.8.5-16.el7_4.2 will be updated
---> Package libgomp.x86_64 0:4.8.5-28.el7 will be an update
---> Package libgphoto2.x86_64 0:2.5.2-5.el7 will be updated
---> Package libgphoto2.x86_64 0:2.5.15-1.el7 will be an update
---> Package libgudev1.x86_64 0:219-42.el7_4.10 will be updated
---> Package libgudev1.x86_64 0:219-57.el7 will be an update
---> Package libguestfs.x86_64 1:1.36.3-6.el7_4.3 will be updated
---> Package libguestfs.x86_64 1:1.36.10-6.el7.centos will be an update
---> Package libguestfs-tools.noarch 1:1.36.3-6.el7_4.3 will be updated
---> Package libguestfs-tools.noarch 1:1.36.10-6.el7.centos will be an update
---> Package libguestfs-tools-c.x86_64 1:1.36.3-6.el7_4.3 will be updated
---> Package libguestfs-tools-c.x86_64 1:1.36.10-6.el7.centos will be an update
---> Package libibverbs.x86_64 0:13-7.el7 will be updated
---> Package libibverbs.x86_64 0:15-6.el7 will be an update
---> Package libini_config.x86_64 0:1.3.0-27.el7 will be updated
---> Package libini_config.x86_64 0:1.3.1-29.el7 will be an update
---> Package libipa_hbac.x86_64 0:1.15.2-50.el7_4.11 will be updated
---> Package libipa_hbac.x86_64 0:1.16.0-19.el7 will be an update
---> Package libkadm5.x86_64 0:1.15.1-8.el7 will be updated
---> Package libkadm5.x86_64 0:1.15.1-18.el7 will be an update
---> Package libldb.x86_64 0:1.1.29-1.el7 will be updated
---> Package libldb.x86_64 0:1.2.2-1.el7 will be an update
---> Package libmount.x86_64 0:2.23.2-43.el7_4.2 will be updated
---> Package libmount.x86_64 0:2.23.2-52.el7 will be an update
---> Package libnfsidmap.x86_64 0:0.25-17.el7 will be updated
---> Package libnfsidmap.x86_64 0:0.25-19.el7 will be an update
---> Package libobjc.x86_64 0:4.8.5-16.el7_4.2 will be updated
---> Package libobjc.x86_64 0:4.8.5-28.el7 will be an update
---> Package libpath_utils.x86_64 0:0.2.1-27.el7 will be updated
---> Package libpath_utils.x86_64 0:0.2.1-29.el7 will be an update
---> Package libpcap.x86_64 14:1.5.3-9.el7 will be updated
---> Package libpcap.x86_64 14:1.5.3-11.el7 will be an update
---> Package libpciaccess.x86_64 0:0.13.4-3.1.el7_4 will be updated
---> Package libpciaccess.x86_64 0:0.14-1.el7 will be an update
---> Package libproxy.x86_64 0:0.4.11-10.el7 will be updated
---> Package libproxy.x86_64 0:0.4.11-11.el7 will be an update
---> Package libpwquality.x86_64 0:1.2.3-4.el7 will be updated
---> Package libpwquality.x86_64 0:1.2.3-5.el7 will be an update
---> Package librdmacm.x86_64 0:13-7.el7 will be updated
---> Package librdmacm.x86_64 0:15-6.el7 will be an update
---> Package libref_array.x86_64 0:0.1.5-27.el7 will be updated
---> Package libref_array.x86_64 0:0.1.5-29.el7 will be an update
---> Package libreport-filesystem.x86_64 0:2.1.11-38.el7.centos will be updated
---> Package libreport-filesystem.x86_64 0:2.1.11-40.el7.centos will be an update
---> Package libselinux.x86_64 0:2.5-11.el7 will be updated
---> Package libselinux.x86_64 0:2.5-12.el7 will be an update
---> Package libselinux-python.x86_64 0:2.5-11.el7 will be updated
---> Package libselinux-python.x86_64 0:2.5-12.el7 will be an update
---> Package libselinux-utils.x86_64 0:2.5-11.el7 will be updated
---> Package libselinux-utils.x86_64 0:2.5-12.el7 will be an update
---> Package libsemanage.x86_64 0:2.5-8.el7 will be updated
---> Package libsemanage.x86_64 0:2.5-11.el7 will be an update
---> Package libsemanage-python.x86_64 0:2.5-8.el7 will be updated
---> Package libsemanage-python.x86_64 0:2.5-11.el7 will be an update
---> Package libsepol.x86_64 0:2.5-6.el7 will be updated
---> Package libsepol.x86_64 0:2.5-8.1.el7 will be an update
---> Package libsmbclient.x86_64 0:4.6.2-12.el7_4 will be updated
---> Package libsmbclient.x86_64 0:4.7.1-6.el7 will be an update
---> Package libss.x86_64 0:1.42.9-10.el7 will be updated
---> Package libss.x86_64 0:1.42.9-11.el7 will be an update
---> Package libsss_autofs.x86_64 0:1.15.2-50.el7_4.11 will be updated
---> Package libsss_autofs.x86_64 0:1.16.0-19.el7 will be an update
---> Package libsss_certmap.x86_64 0:1.15.2-50.el7_4.11 will be updated
---> Package libsss_certmap.x86_64 0:1.16.0-19.el7 will be an update
---> Package libsss_idmap.x86_64 0:1.15.2-50.el7_4.11 will be updated
---> Package libsss_idmap.x86_64 0:1.16.0-19.el7 will be an update
---> Package libsss_nss_idmap.x86_64 0:1.15.2-50.el7_4.11 will be updated
---> Package libsss_nss_idmap.x86_64 0:1.16.0-19.el7 will be an update
---> Package libsss_sudo.x86_64 0:1.15.2-50.el7_4.11 will be updated
---> Package libsss_sudo.x86_64 0:1.16.0-19.el7 will be an update
---> Package libstdc++.x86_64 0:4.8.5-16.el7_4.2 will be updated
---> Package libstdc++.x86_64 0:4.8.5-28.el7 will be an update
---> Package libtalloc.x86_64 0:2.1.9-1.el7 will be updated
---> Package libtalloc.x86_64 0:2.1.10-1.el7 will be an update
---> Package libtdb.x86_64 0:1.3.12-2.el7 will be updated
---> Package libtdb.x86_64 0:1.3.15-1.el7 will be an update
---> Package libteam.x86_64 0:1.25-6.el7_4.3 will be updated

---> Package yum.noarch 0:3.4.3-158.el7.centos will be an update
---> Package yum-plugin-changelog.noarch 0:1.1.31-42.el7 will be updated
---> Package yum-plugin-changelog.noarch 0:1.1.31-45.el7 will be an update
---> Package yum-plugin-fastestmirror.noarch 0:1.1.31-42.el7 will be updated
---> Package yum-plugin-fastestmirror.noarch 0:1.1.31-45.el7 will be an update
---> Package yum-utils.noarch 0:1.1.31-42.el7 will be updated
---> Package yum-utils.noarch 0:1.1.31-45.el7 will be an update
--> Running transaction check
---> Package freeipmi.x86_64 0:1.2.9-8.el7 will be updated
--> Processing Dependency: libfreeipmi.so.13()(64bit) for package: nut-2.7.2-3.el7.x86_64
--> Processing Dependency: libipmimonitoring.so.5()(64bit) for package: nut-2.7.2-3.el7.x86_64
---> Package libwayland-client.x86_64 0:1.14.0-2.el7 will be installed
---> Package libwayland-server.x86_64 0:1.14.0-2.el7 will be installed
---> Package opus.x86_64 0:1.0.2-6.el7 will be installed
---> Package perl-Mozilla-CA.noarch 0:20130114-5.el7 will be installed
--> Finished Dependency Resolution
Error: Package: nut-2.7.2-3.el7.x86_64 (@epel)
           Requires: libipmimonitoring.so.5()(64bit)
           Removing: freeipmi-1.2.9-8.el7.x86_64 (@base)
               libipmimonitoring.so.5()(64bit)
           Updated By: freeipmi-1.5.7-2.el7.x86_64 (base)
              ~libipmimonitoring.so.6()(64bit)
Error: Package: nut-2.7.2-3.el7.x86_64 (@epel)
           Requires: libfreeipmi.so.13()(64bit)
           Removing: freeipmi-1.2.9-8.el7.x86_64 (@base)
               libfreeipmi.so.13()(64bit)
           Updated By: freeipmi-1.5.7-2.el7.x86_64 (base)
              ~libfreeipmi.so.17()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

How can I fix this?


#2

can you try with It's time to test CentOS 7.5
see Known issues (without enabling cr)

yum --enablerepo=nethserver-testing update -y


(fpausp) #3

It is a remote production server, installed bare metal. There is no way to recover the machine if anything goes wrong…

I think this is to dangerous to use the testing-repo?


#4

i’ve not tested yet the update… i think it’s better to wait for production server


(fpausp) #5

In the meantime I tried another server and there is another update-problem.

---> Package yum.noarch 0:3.4.3-154.el7.centos.1 will be updated
---> Package yum.noarch 0:3.4.3-158.el7.centos will be an update
---> Package yum-plugin-changelog.noarch 0:1.1.31-42.el7 will be updated
---> Package yum-plugin-changelog.noarch 0:1.1.31-45.el7 will be an update
---> Package yum-plugin-fastestmirror.noarch 0:1.1.31-42.el7 will be updated
---> Package yum-plugin-fastestmirror.noarch 0:1.1.31-45.el7 will be an update
--> Running transaction check
---> Package librabbitmq.x86_64 0:0.5.2-1.el7 will be updated
--> Processing Dependency: librabbitmq(x86-64) = 0.5.2 for package: librabbitmq-tools-0.5.2-1.el7.x86_64
--> Processing Dependency: librabbitmq.so.1()(64bit) for package: librabbitmq-tools-0.5.2-1.el7.x86_64
---> Package libwayland-client.x86_64 0:1.14.0-2.el7 will be installed
---> Package libwayland-server.x86_64 0:1.14.0-2.el7 will be installed
---> Package lz4.x86_64 0:1.7.5-2.el7 will be installed
---> Package perl-Mozilla-CA.noarch 0:20130114-5.el7 will be installed
--> Finished Dependency Resolution
Error: Package: librabbitmq-tools-0.5.2-1.el7.x86_64 (@epel)
           Requires: librabbitmq(x86-64) = 0.5.2
           Removing: librabbitmq-0.5.2-1.el7.x86_64 (@epel)
               librabbitmq(x86-64) = 0.5.2-1.el7
           Updated By: librabbitmq-0.8.0-2.el7.x86_64 (base)
               librabbitmq(x86-64) = 0.8.0-2.el7
Error: Package: librabbitmq-tools-0.5.2-1.el7.x86_64 (@epel)
           Requires: librabbitmq.so.1()(64bit)
           Removing: librabbitmq-0.5.2-1.el7.x86_64 (@epel)
               librabbitmq.so.1()(64bit)
           Updated By: librabbitmq-0.8.0-2.el7.x86_64 (base)
              ~librabbitmq.so.4()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

This server is a vm in my LAN, I will give it a go…


(Paolo Fornara) #6

Give EPEL Repo folks time to update their rpm packages against updated Centos 7.5 libraries.

Nuts belongs to epel repo (fedoraproject) and actually its rpm isn’t built and ‘linked’ against new centos 7.5 ipmi-1.5.7-2.

So my tip is to wait before updating any production system.

(PS : same happens with a fresh Centos 7.5 with epel repo enabled, trying to install nuts or other packages…)

cheers

paolo


(Rob Bosch) #7

Are you suggesting that you tried to update to 7.5 on a production server? :face_with_raised_eyebrow:
The 7.5 tests are at a stage that they only should be done to see what problems you encounter and how they can be solved to develop NS 7.5
Trying this on production server (especially bare metal) is a BAD idea.


(fpausp) #8

OK, thank you…

Thats what I said/mean…


(Juan Carlos Fernandez) #9

I just tried running pending updates (yum-cron notified me today) and firewall and DPI modules broke. Leaving me without no internet, I did some screen-shots and a after a quick restore (Thank you Proxmox and ZFS) I’m was able to connect back into the forum. Here are the screen-shots:

This one is after rebooting

This one is the output shown when clicking Check firewall rules

I understand that this updates come from Centos 7.5 and there are packages that are not compatible with NS7.4, is there a way to avoid having this updates in the meantime?


(Zimny) #10

Hi guys,

The same issue here
Firewall can be resolved by expanding template but DPI not loading at all


(Zimny) #11

we have some discussion before
so when you are providing an update through official channel and all your user do it for you this is an test update?

Nethserver is great peace of software but you should be more careful when you try to be mature distribution
test more do less pain for the users

I’m tired with your updates issues that someone forgot about expand template , etc


(Markus Neuberger) #12

An updated DPI module can be found here:


(Zimny) #13

Thanks Markuz,

I’m just bothering about the alfa/developing process
Should this be done more careful?
Will give it a go tonight on my vm if no silly problems the will give it a go with on line box

Thank you so be helpful and not advert This is my concern . You guys planing to go commercial? If so i need to know because so many clients i was recommended


(Markus Neuberger) #14

There’s a warning in Software Center about new centos releases so you may wait with the updates until everything is working. Additionally you have the possibility of a subscription that provides stable updates so you can just autoupdate and will get a stable system. I don’t know what happened to you, maybe yum-cron autoupdated to the new centos.

No. Nethesis is a company and provides the free open source NethServer. Nothing changes in Nethserver except of a new dashboard module. The subscription should be a possibility for companies and other supporters and provides stable updates/monitoring/support, check it out:

https://my.nethserver.com


(Juan Carlos Fernandez) #15

Hello @mrmarkuz, so for the moment every NS7.4 box should put a hold on updates, how can we know when it’s safe to update, also, this is to every NS7.4 user reading this. An network admin should read and pay careful attention to updates, read the change-logs (yum update --changelog) and so on, moreover, it’s good practice to do a full backup of NS VM before doing upgrades.

I have yum-cron installed on all my NS7 KSM, and after get notified with this massive update, first thing I did was do backup, create a zfs snapshot and then upgrade, after that I ran need-restarting, rebooted, did journalctl -p 3 to watch for errors, and open the NS Dashboard. After seeing that firewall was down I disable external NIC and start it to look for problems, after that I did a KVM restore and went here to report.

@zimny remember that this is a community project free of charge. If you want to avoid this kind of problem why don’t you pay a subscription.


(Markus Neuberger) #16

It will be announced and a Nethserver 7.5 final ISO will be released AFAIK. I am actually testing the alpha release…


(Juan Carlos Fernandez) #17

Come to think about it, this could be a problem, should new users try to install NS7 and then hit upgrade from the Software Center, wouldn’t they ended up having problems, this could prove troublesome, any ideas?

@alefattorini


(Davide Principi) #18

Get a #subscription? One month of free trial is enough until 7.5 final is out… :hugs:

…or deploy a private Dartagnan instance:


(Juan Carlos Fernandez) #19

@davidep I was referring to new users, imagine a new user download NS7.4 ISO, install it and do an upgrade, they first impression would be a broken NS7.


(Davide Principi) #20

Yes you’re right it can look bad, but…

A similar reasoning during the NethServer conference in September led to what today we call #subscription, that is a paid service.

The CentOS project does not make distinctions between 7.4 and 7.5. They ship just “7”. We know CentOS is really stable (and free) but during minor releases they make some changes and we need to fix something by our side.

Our community develops and tests carefully the updates for free. Our community gives back a great support for free. I’d suggest to anyone who downloads and installs NethServer to sign on this forum and ask for any doubt, get involved, and become a true NethServerian!

So there are multiple ways to run NethServer reliably. In the end I want to remark the issues reported so far affect only the NDPI module and some package dependencies: I’m sure they’ll be fixed soon.